/// <reference types="@types/googlemaps" />
interface GoogleMapOptions {
    container: HTMLElement;
    googleMapsAPIKey: string;
    config: google.maps.MapOptions;
    onLoadScript: () => void;
    onLoadMap: (loadedMap: GoogleMap) => void;
    libraries?: string[];
    language?: string;
    region?: string;
    mapIds?: string[];
    version?: string;
}
/**
 * A Google Maps wrapper class
 */
export default class GoogleMap {
    container?: HTMLElement;
    map?: google.maps.Map;
    constructor(options: GoogleMapOptions);
    /**
     * Loads the google maps script
     */
    private loadGoogleScript;
    /**
     * Initialize the google map
     */
    private initMap;
    /**
     * Remove event listeners
     */
    destroyListeners: () => void;
    /**
     * Remove map instance
     */
    destroyComplete: () => void;
}
export {};
