/// <reference types="@types/googlemaps" />
import React, { PropsWithChildren } from 'react';
import GoogleMap from './google-map';
export interface GoogleMapProviderProps {
    googleMapsAPIKey: string;
    mapContainer?: HTMLElement | null;
    options: google.maps.MapOptions;
    libraries?: string[];
    language?: string;
    region?: string;
    mapIds?: string[];
    version?: string;
    onLoad?: (map: google.maps.Map) => void;
}
export interface GoogleMapContextType extends Partial<GoogleMap> {
    loading: boolean;
}
/**
 * The map context
 */
export declare const GoogleMapContext: React.Context<GoogleMapContextType>;
/**
 * The global Google Map provider
 */
declare const GoogleMapProvider: React.FunctionComponent<PropsWithChildren<GoogleMapProviderProps>>;
export default GoogleMapProvider;
